Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001226Frama-CKernelpublic2012-07-02 16:412014-02-12 16:58
ReporterAnne 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001226: error with -pp-annot : eof while parsing C comment
DescriptionWith the following example:
     void test (void) { char * str = "/*"; }
The command:
     $ frama-c toto.c -pp-annot
gives:
[kernel] preprocessing with "gcc -C -E -I. -dD toto.c"
"toto.c":3:[kernel] user error: Can't preprocess annotation: eof while parsing C comment
                     Annotation will be kept as is

I guess that the string "/*" is considered by frama-c as the beginning of a comment...
Additional InformationWith { char * str = "//@"; } it gives more errors...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004641)

2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-07-02 16:41 Anne New Issue
2012-07-02 19:05 signoles Status new => assigned
2012-07-02 19:05 signoles Assigned To => virgile
2012-07-03 18:03 svn Checkin
2012-07-03 18:03 svn Status assigned => resolved
2012-07-03 18:03 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 Note Added: 0004641
2014-02-12 16:58 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker